Summary: A drag and drop, menu-based text editor.
Name: OffiX-Editor
Version: 2.4
Release: 12
Source: ftp.leb.net:/pub/offix/Editor-2.4.tar.gz
Source1: offix-editor.desktop
Patch: Editor-2.4-Xaw3d.patch
Copyright: GPL
Group: Applications/Productivity
BuildRoot: %{_tmppath}/%{name}-build
BuildPreReq: OffiX-devel

%description
Based on Athena, OffiX-Editor is a patched version of the xed editor.
Like xed, you can perform common actions via user-friendly menus.
Examples of its drag and drop features include: if you drop a file on
the filename area, the editor will load that file. If the file has
already been saved, you can also drag it to other areas (like to the
printer program).

%prep
%setup -q  -n Editor-%{version}
%patch -p1

%build
%configure --with-dnd-inc=%{_includedir}/OffiX \
	--with-dnd-lib=%{_libdir} \
	--datadir=%{_datadir}
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
%makeinstall
install -c -m 644 src/Editor.mutekeys $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Editor

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644 $RPM_SOURCE_DIR/offix-editor.desktop \
	$RPM_BUILD_ROOT/etc/X11/applnk/Applications/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS src/Editor.mutekeys src/Editor.nomute
%{_bindir}/editor
%{_mandir}/*/*
%config %{_prefix}/X11R6/lib/X11/app-defaults/Editor
%dir %{_datadir}/OffiX
%{_datadir}/OffiX/editor.help
/etc/X11/applnk/Applications/offix-editor.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- FHS fixes

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Fri Jun 25 1999 Tim Powers <timp@redhat.com>
- rebuilt package for powertools 6.1 against DND v1.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package fpr 6.0

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- updated spec file and rebuilt for 5.2 

* Tue May 27 1998 Michael Maher <mike@redhat.com>
- updated spec file and checked for errors

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged the contirb package and cleaned it up a bit

